> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query by acquirer custom identifier



## OpenAPI

````yaml /openapi.yml get /api/v2/transactions?acquirerCustomId=${customIdentifier}
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/transactions?acquirerCustomId=${customIdentifier}:
    get:
      tags:
        - Transactions
      summary: Query by acquirer custom identifier
      operationId: api-transactions-query-by-acquirer-custom-identifier
      parameters:
        - name: customIdentifier
          in: path
          description: The acquirer's custom identifier.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/TransactionsQueryResponseExample'
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionsQueryResponse'
      deprecated: false
components:
  examples:
    TransactionsQueryResponseExample:
      value:
        - currency: EUR
          acquirer: SIMULATED
          brand: MASTER
          paymentMethod: Card
          operationType: Payment
          status: Success
          fingerPrint: f7f76173-f357-4863-bbc3-f5b6204a2769
          createdDate: '2025-05-12T18:04:38Z'
          transactionDate: '2025-05-12T18:04:38Z'
          capturedDate: '2025-05-12T18:04:41Z'
          maskedCardNumber: 555534******1115
          authorizationCode: '327161'
          initiatedFrom: Server
          subscriptionGuid: b9852997-0e6a-4542-a9fd-e9ae76967653
          personId: 10
          expiresAt: '2025-05-12T18:19:39Z'
          attempt: 0
          index: 0
          externalSessionIdentifier: b7fc1639-6dda-4c20-b618-097ef1e4e842
          externalTransactionIdentifier: b15dc08a-277e-4c24-95e4-0ceb10540efd
          externalCustomIdentifier: bc0a8270d48b4a3d9f1bf0a4eab365dc
          acquirerResponseCode: '00'
          acquirerResponseMessage: Success
          card:
            holder: Jane Jones
            number: 555534******1115
            expiresAt: 12/25
            installments: 1
            installmentAmount: 2634
            isPayerTraveling: false
            countryCode: QAT
          airportCode: LIS
          applicationId: sellgate
          marketId: PT
          acceptTokenization: true
          cardInfoComposition:
            cardServiceType: Credit
            sourceEnvironment: Online
            cardCommercialType: Corporate
            cardIssueLocation: NonEea
          transactionId: bc0a8270-d48b-4a3d-9f1b-f0a4eab365dc
          amount: '26.34'
          isoAmount: 2634
  schemas:
    TransactionsQueryResponse:
      type: object
      properties:
        currency:
          type: string
          example: EUR
        acquirer:
          type: string
          example: SIMULATED
        brand:
          type: string
          example: MASTER
        paymentMethod:
          type: string
          example: Card
        operationType:
          type: string
          example: Payment
        status:
          type: string
          example: Success
        fingerPrint:
          type: string
          format: uuid
        createdDate:
          type: string
          format: date-time
        transactionDate:
          type: string
          format: date-time
        capturedDate:
          type: string
          format: date-time
        maskedCardNumber:
          type: string
        authorizationCode:
          type: string
        initiatedFrom:
          type: string
          example: Server
        subscriptionGuid:
          type: string
          format: uuid
        personId:
          type: integer
        expiresAt:
          type: string
          format: date-time
        attempt:
          type: integer
        index:
          type: integer
        externalSessionIdentifier:
          type: string
          format: uuid
        externalTransactionIdentifier:
          type: string
          format: uuid
        externalCustomIdentifier:
          type: string
        acquirerResponseCode:
          type: string
          example: '00'
        acquirerResponseMessage:
          type: string
          example: Success
        card:
          $ref: '#/components/schemas/CardQueryResponse'
        acceptTokenization:
          type: boolean
        cardInfoComposition:
          $ref: '#/components/schemas/CardInfoCompositionQueryResponse'
        transactionId:
          type: string
          format: uuid
        amount:
          type: string
          example: '26.34'
        isoAmount:
          type: integer
          example: 2634
    CardQueryResponse:
      type: object
      properties:
        holder:
          type: string
          example: Jane Jones
        number:
          type: string
          example: 555534******1115
        expiresAt:
          type: string
          example: 12/25
        installments:
          type: integer
          example: 1
        installmentAmount:
          type: integer
          example: 2634
        isPayerTraveling:
          type: boolean
        countryCode:
          type: string
          example: QAT
    CardInfoCompositionQueryResponse:
      type: object
      properties:
        cardServiceType:
          type: string
          example: Credit
        sourceEnvironment:
          type: string
          example: Online
        cardCommercialType:
          type: string
          example: Corporate
        cardIssueLocation:
          type: string
          example: NonEea
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````